com.amazonaws.services.codedeploy.model

## Class BatchGetOnPremisesInstancesResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codedeploy.model.BatchGetOnPremisesInstancesResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class BatchGetOnPremisesInstancesResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a batch get on-premises instances operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BatchGetOnPremisesInstancesResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BatchGetOnPremisesInstancesResult` `clone()`
`boolean` `equals(Object obj)`
`List<InstanceInfo>` `getInstanceInfos()` Information about the on-premises instances.
`int` `hashCode()`
`void` `setInstanceInfos(Collection<InstanceInfo> instanceInfos)` Information about the on-premises instances.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`BatchGetOnPremisesInstancesResult` `withInstanceInfos(Collection<InstanceInfo> instanceInfos)` Information about the on-premises instances.
`BatchGetOnPremisesInstancesResult` `withInstanceInfos(InstanceInfo... instanceInfos)` Information about the on-premises instances.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BatchGetOnPremisesInstancesResult

    public BatchGetOnPremisesInstancesResult()

### Method Detail

#### getInstanceInfos

    public List<InstanceInfo> getInstanceInfos()

Information about the on-premises instances.

Returns:
  Information about the on-premises instances.

#### setInstanceInfos

    public void setInstanceInfos(Collection<InstanceInfo> instanceInfos)

Information about the on-premises instances.

Parameters:
  `instanceInfos` - Information about the on-premises instances.

#### withInstanceInfos

    public BatchGetOnPremisesInstancesResult withInstanceInfos(InstanceInfo... instanceInfos)

Information about the on-premises instances.

NOTE: This method appends the values to the existing list (if any). Use `setInstanceInfos(java.util.Collection)` or `withInstanceInfos(java.util.Collection)` if you want to override the existing values.

Parameters:
  `instanceInfos` - Information about the on-premises instances.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withInstanceInfos

    public BatchGetOnPremisesInstancesResult withInstanceInfos(Collection<InstanceInfo> instanceInfos)

Information about the on-premises instances.

Parameters:
  `instanceInfos` - Information about the on-premises instances.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public BatchGetOnPremisesInstancesResult clone()

Overrides:
  `clone` in class `Object`